summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2012-08-18 22:37:15 +0200
committerChristian Ruppert <idl0r@gentoo.org>2012-08-18 22:37:38 +0200
commitaa7e2cd1fe88b5d24f272764b2005681ea1ebebd (patch)
treeab49a0f9810147e5f3a6e6cf8e11cc77da2310bf /init.d
parent07e848638cbf0e06c0de1b01644d5d2279d696a7 (diff)
downloadopenrc-aa7e2cd1fe88b5d24f272764b2005681ea1ebebd.tar.gz
openrc-aa7e2cd1fe88b5d24f272764b2005681ea1ebebd.tar.bz2
openrc-aa7e2cd1fe88b5d24f272764b2005681ea1ebebd.tar.xz
Use do_umount's return value instead of eoutdent's.
Diffstat (limited to 'init.d')
-rw-r--r--init.d/mount-ro.in7
1 files changed, 6 insertions, 1 deletions
diff --git a/init.d/mount-ro.in b/init.d/mount-ro.in
index 881bf84..41b0b9e 100644
--- a/init.d/mount-ro.in
+++ b/init.d/mount-ro.in
@@ -12,6 +12,8 @@ depend()
start()
{
+ local ret=0
+
# Flush all pending disk writes now
sync; sync
@@ -39,6 +41,9 @@ start()
do_unmount "umount -r" \
--skip-point-regex "$m" \
"${fs:+--skip-fstype-regex}" $fs --nonetdev
+ ret=$?
+
eoutdent
- eend $?
+
+ eend $ret
}